Support » Plugin: WP Popups - WordPress Popup builder » E_ERROR regarding license on lite version

  • Resolved mywebmaestro

    (@mywebmaestro)


    For the last couple of days I’m getting “Your Site is Experiencing a Technical Issue” notifications from a site where I have the free version of this plugin installed.

    Why would the free version be seeing an error related to a license not being found?

    An error of type E_ERROR was caused in line 361 of the file /home/redacted/public_html/wp-content/plugins/wp-popups-lite/wp-popups-lite.php. Error message: Uncaught Error: Class ‘WPPopups_License’ not found in /home/redacted/public_html/wp-content/plugins/wp-popups-lite/wp-popups-lite.php:361

    Stack trace:
    #0 /home/redacted/public_html/wp-includes/class-wp-hook.php(303): WPPopups->objects('')
    #1 /home/redacted/public_html/wp-includes/class-wp-hook.php(327): WP_Hook->apply_filters(NULL, Array)
    #2 /home/redacted/public_html/wp-includes/plugin.php(470): WP_Hook->do_action(Array)
    #3 /home/redacted/public_html/wp-settings.php(441): do_action('plugins_loaded')
    #4 /home/redacted/public_html/wp-config.php(97): require_once('/home/redacted...')
    #5 /home/redacted/public_html/wp-load.php(50): require_once('/home/redacted...')
    #6 /home/redacted/public_html/wp-cron.php(44): require_once('/home/redacted...')
    #7 {main}
      thrown

    WordPress version 5.8.1
    Current theme: VIRTUOSO (version 2.0.1)
    Current plugin: WP Popups Lite (version 2.1.4.4)
    PHP version 7.4.24

Viewing 12 replies - 1 through 12 (of 12 total)
  • Plugin Author Damian

    (@timersys)

    Check that this file exists src/includes/admin/class-license.php If not, something havppened and I would recommend deleting and installing the plugin again

    Thread Starter mywebmaestro

    (@mywebmaestro)

    Deleted and reinstalled, getting the error still.

    Thread Starter mywebmaestro

    (@mywebmaestro)

    @timersys – Checked that the file you mentioned exists, it does.

    /**
     * License key fun.
     *
     * @package    WPPopups
     * @author     WPPopups
     * @since 2.0.0
     * @license    GPL-2.0+
     * @copyright  Copyright (c) 2016, WP Popups LLC
     */
    Thread Starter mywebmaestro

    (@mywebmaestro)

    I now have several different sites all giving me daily errors where WordPress is reporting critical issues because of this plugin. I’m hoping this can be addressed without having to find an alternative plugin.

    Plugin Author Damian

    (@timersys)

    Do you want to send us through our website the credentials to one of those sites so we can check whats going on?

    Thread Starter mywebmaestro

    (@mywebmaestro)

    I can certainly do that. Please direct me to the appropriate place to do so…

    We are having the same problem. Would love to see a new version released to fix this soon. We have many sites using this plugin, and they are sending fatal error emails.

    [12-Oct-2021 14:46:42 UTC] PHP Fatal error:  Uncaught Error: Class 'WPPopups_License' not found in /[redacted]/wp-content/plugins/wp-popups-lite/wp-popups-lite.php:361
    Stack trace:
    #0 /[redacted]/wp-includes/class-wp-hook.php(292): WPPopups->objects('')
    #1 /[redacted]/wp-includes/class-wp-hook.php(316): WP_Hook->apply_filters(NULL, Array)
    #2 /[redacted]/wp-includes/plugin.php(484): WP_Hook->do_action(Array)
    #3 /[redacted]/wp-settings.php(423): do_action('plugins_loaded')
    #4 /[redacted]/wp-config.php(90): require_once('/home/stelizabe...')
    #5 /[redacted]/wp-load.php(37): require_once('/home/stelizabe...')
    #6 /[redacted]/wp-cron.php(44): require_once('/home/stelizabe...')
    #7 {main}
      thrown in /[redacted]/wp-content/plugins/wp-popups-lite/wp-popups-lite.php on line 361

    We’re also having the exact same issue.

    Plugin Author Damian

    (@timersys)

    Could you guys confirm that the issue was resolved with latest version?

    Thread Starter mywebmaestro

    (@mywebmaestro)

    It seems to have been resolved in the site I gave access for… was it pushed out to an update that any site would be able to use? I do have two other sites still having the problem that haven’t been updated.

    Could you guys confirm that the issue was resolved with latest version?

    Yes, looks like it’s fixed after the latest update. Thanks for your help!

    was it pushed out to an update that any site would be able to use?

    For us, the update appeared in Dashboard > Updates like any other plugin update, and installing it fixed the errors.

    Thread Starter mywebmaestro

    (@mywebmaestro)

    I’m updating the other sites that have been triggering the error and if they still end up sending it I will jump back in here and let you know.

Viewing 12 replies - 1 through 12 (of 12 total)
  • The topic ‘E_ERROR regarding license on lite version’ is closed to new replies.